
import java.util.ArrayList;

/**
A question with multiple choices.
 */
public class ChoiceQuestion extends Question
{
    private ArrayList<String> choices;

    /**
    Constructs a choice question with a given text and no choices.
    @param questionText the text of this question
     */
    public ChoiceQuestion(String questionText)
    {
        super(questionText);
        choices = new ArrayList<String>();
    }

    /**
    Adds an answer choice to this question.
    @param choice the choice to add
    @param correct true if this is the correct choice, false otherwise
     */
    public void addChoice(String choice, boolean correct)
    {
        choices.add(choice);
        // See if this choice should be recorded as the correct answer
        if (correct)
        {
            // Convert choices.size() to string
            String choiceString = "" + choices.size();
            setAnswer(choiceString);
        }
    }

    /** Display this question */
    public void display()
    {
        // Display the question text
        super.display();
        // Display the answer choices
        for (int idx = 0; idx < choices.size(); idx++)
        {
            int choiceNumber = idx + 1;
            System.out.println(choiceNumber + ": " + choices.get(idx));
        }
    }
}
